<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <title>Index</title>
</head>

<body>
    <h1>Homepage</h1>
    <a href="{% url 'common:index' %}">Home</a>
    <a href="{% url 'common:list-attribute' %}">list of attribute</a>
    <h1>Add new Patient</h1>
    <form method="POST">
        {% csrf_token %}
        {{ form.as_p }}
        {{ attribute_form.as_p }}
        <button type="submit" class="btn btn-primary">Simpan</button>
    </form>
    <br>
    <br>
    <h1>List of Patient</h1>
    <table>
        <thead>
            <th>Name</th>
            <th>Email</th>
            {% for attribute in attributes %}
            <th>{{attribute.name}}</th>
            {% endfor %}
            <th>Action</th>
        </thead>
        <tbody>
            {% for data in rows %}
            <tr>
                {% for cell in data.data %}
                <td>{{cell}}</td>
                {% endfor %}
                <td><a href="{% url 'common:edit-patient' data.id %}" class="btn btn-warning">Ubah</a></td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</body>
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
    integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
    crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
    crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
    integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
    crossorigin="anonymous"></script>

</html>